apiVersion: skaffold/v3
kind: Config
profiles:
  - name: dev
    build:
      tagPolicy:
        customTemplate:
          template: latest
      artifacts:
        - image: twhelp
          hooks:
            before:
              - command: [sh, -c, make generate]
                os: [darwin, linux]
          context: .
          docker:
            dockerfile: ./build/docker/twhelp/dev/Dockerfile
    manifests:
      kustomize:
        paths:
          - k8s/overlays/dev
    deploy:
      kubectl: {}
  - name: resources
    deploy:
      helm:
        releases:
          - name: twhelpdb
            repo: https://charts.bitnami.com/bitnami
            remoteChart: postgresql
            version: 13.2.24
            wait: true
            setValues:
              image.tag: 14.8.0-debian-11-r4
              auth.username: twhelp
              auth.password: twhelp
              auth.database: twhelp
          - name: twhelprmq
            repo: https://charts.bitnami.com/bitnami
            remoteChart: rabbitmq
            version: 12.5.6
            wait: true
            setValues:
              auth.username: twhelp
              auth.password: twhelp
